/* testMMA8452Q.ino -- Ardweenie main program to test Accelerometer code.
*/

// Arduino IDE needs to have this defined here...
//  include all libraries used by sub-contractors,
#include <MMA8452Q.h>	// accelerometer
#include <Wire.h>		// I2C used by accelerometer

MMA8452Q accel;	// make our object

// the setup routine runs once when you press reset:
void setup()
{
	// crank up Serial
	Serial.begin( 9600 ); 

	// init library
	accel.init();

    return;
}

// accel index values
#define AccelX		0		// I2c input, values[index]
#define AccelY		1		// I2c input, values[index]
#define AccelZ		2		// I2c input, values[index]

// print text values for convenience
void printText( int data1, int data2, int data3, int data4 )
{
	// print out the values as ASCII with whitespace and a newline
	Serial.print( data1 );
	Serial.print( ", " );
	Serial.print( data2 );
	Serial.print( ", " );
	Serial.print( data3 );
	Serial.print( ", " );
	Serial.println( data4 );
}

// the loop() routine runs over and over and again forever:
void loop()
{
	static unsigned int cnt = 0;	// sample counter
	int values[3];	// buffer for returned data

	// wait 20 ms, sample accel, and print results
	delay(20);
	accel.readData( values );
	printText( cnt, values[AccelX], values[AccelY], values[AccelZ] );
	++cnt;

	return;
}

/** Task posted when ADC averaging gets a new set of values.
 **  needed if using schip's ADC and Task code, otherwise a dummy func
 **/
void ADCTask( uint16_t numADC )
{
	return;
}
