/*
  text.cpp -- code to package Text messages
 */
#include "Plot.h"

/** send a text formatted message with a space but no newline at end
 *  @param d* -- integer data to send
 */
void Plot::textn( int data1, int data2, int data3, int data4 )
{
	// print out the values as ASCII with whitespace
	Serial.print( data1 );
	Serial.print( TEXTSEP );
	Serial.print( data2 );
	Serial.print( TEXTSEP );
	Serial.print( data3 );
	Serial.print( TEXTSEP );
	Serial.print( data4 );
	Serial.print( TEXTSEP );
}

/** send a text formatted message with a newline appended
 *  @param d* -- integer data to send
 */
void Plot::text( int data1, int data2, int data3, int data4 )
{
	// print out the values as ASCII with whitespace
	this->textn( data1, data2, data3, data4 );
	Serial.println("");

	return;
}

/** send a text formatted message with a newline appended
 *   and the last "data4" element printed in HEX
 *  @param d* -- integer data to send
 */
void Plot::textX( int data1, int data2, int data3, int data4 )
{
	// print out the values as ASCII with whitespace
	Serial.print( data1 );
	Serial.print( TEXTSEP );
	Serial.print( data2 );
	Serial.print( TEXTSEP );
	Serial.print( data3 );
	Serial.print( TEXTSEP );
	Serial.println( data4, HEX );
}
