/** Tone note frequencies, copied from
 **   arduino-1.0.4/examples/02.Digital/toneMelody/pitches.h
 **  or MIDI note numbers (depending on defines below
 ** Also durations for defining melody sequences
 **/ 
 
/*************************************************
 * Public Constants
 *************************************************/

#ifndef PITCHES_h
#define PITCHES_h

// define one of the below to use either frequencies or MIDI notes
#define NOTEFREQ	// define notes as frequencies, for tone()
//#define NOTEMIDI	// define notes as MIDI note values

// special values for Melody sequences
#define REST     0	// pitch  == just be quiet...
#define DONE     0	// length == end of sequence
#define REPEAT   0xFF // length == go back to beginning and repeat

#ifdef NOTEFREQ	// define notes as frequencies, for tone()

#define NOTE_B0  31
#define NOTE_C1  33
#define NOTE_CS1 35
#define NOTE_D1  37
#define NOTE_DS1 39
#define NOTE_E1  41
#define NOTE_F1  44	// rnd 0
#define NOTE_FS1 46
#define NOTE_G1  49
#define NOTE_GS1 52	// rnd 1
#define NOTE_A1  55
#define NOTE_AS1 58
			  // 60 // rnd 2
#define NOTE_B1  62
#define NOTE_C2  65
			  // 68 // rnd 3
#define NOTE_CS2 69
#define NOTE_D2  73
			  // 76 // rnd 4
#define NOTE_DS2 78
#define NOTE_E2  82
			  // 84 // rnd 5
#define NOTE_F2  87
			  // 92 // rnd 6
#define NOTE_FS2 93
#define NOTE_G2  98
			  // 100 // rnd 7
#define NOTE_GS2 104
			  // 108 // rnd 8
#define NOTE_A2  110
			  // 116 // rnd 9
#define NOTE_AS2 117
#define NOTE_B2  123
			  // 124 // rnd 10
#define NOTE_C3  131
			  // 132 // rnd 11
#define NOTE_CS3 139
			  // 140 // rnd 12
#define NOTE_D3  147
			  // 148 // rnd 13
#define NOTE_DS3 156 // rnd 14
			  // 164 // rnd 15
#define NOTE_E3  165
#define NOTE_F3  175
#define NOTE_FS3 185
#define NOTE_G3  196
#define NOTE_GS3 208
#define NOTE_A3  220
#define NOTE_AS3 233
#define NOTE_B3  247
#define NOTE_C4  262
#define NOTE_CS4 277
#define NOTE_D4  294
#define NOTE_DS4 311
#define NOTE_E4  330
#define NOTE_F4  349
#define NOTE_FS4 370
#define NOTE_G4  392
#define NOTE_GS4 415
#define NOTE_A4  440
#define NOTE_AS4 466
#define NOTE_B4  494
#define NOTE_C5  523
#define NOTE_CS5 554
#define NOTE_D5  587
#define NOTE_DS5 622
#define NOTE_E5  659
#define NOTE_F5  698
#define NOTE_FS5 740
#define NOTE_G5  784
#define NOTE_GS5 831
#define NOTE_A5  880
#define NOTE_AS5 932
#define NOTE_B5  988
#define NOTE_C6  1047
#define NOTE_CS6 1109
#define NOTE_D6  1175
#define NOTE_DS6 1245
#define NOTE_E6  1319
#define NOTE_F6  1397
#define NOTE_FS6 1480
#define NOTE_G6  1568
#define NOTE_GS6 1661
#define NOTE_A6  1760
#define NOTE_AS6 1865
#define NOTE_B6  1976
#define NOTE_C7  2093
#define NOTE_CS7 2217
#define NOTE_D7  2349
#define NOTE_DS7 2489
#define NOTE_E7  2637
#define NOTE_F7  2794
#define NOTE_FS7 2960
#define NOTE_G7  3136
#define NOTE_GS7 3322
#define NOTE_A7  3520
#define NOTE_AS7 3729
#define NOTE_B7  3951
#define NOTE_C8  4186
#define NOTE_CS8 4435
#define NOTE_D8  4699
#define NOTE_DS8 4978

#endif // NOTEFREQ

#ifdef NOTEMIDI	// define notes as MIDI note values

#define NOTE_B0  23
#define NOTE_C1  24
#define NOTE_CS1 25
#define NOTE_D1  26
#define NOTE_DS1 27
#define NOTE_E1  28
#define NOTE_F1  29
#define NOTE_FS1 30
#define NOTE_G1  31
#define NOTE_GS1 32
#define NOTE_A1  33
#define NOTE_AS1 34
#define NOTE_B1  35
#define NOTE_C2  36
#define NOTE_CS2 37
#define NOTE_D2  38
#define NOTE_DS2 39
#define NOTE_E2  40
#define NOTE_F2  41
#define NOTE_FS2 42
#define NOTE_G2  43
#define NOTE_GS2 44
#define NOTE_A2  45
#define NOTE_AS2 46
#define NOTE_B2  47
#define NOTE_C3  48
#define NOTE_CS3 49
#define NOTE_D3  50
#define NOTE_DS3 51
#define NOTE_E3  52
#define NOTE_F3  53
#define NOTE_FS3 54
#define NOTE_G3  55
#define NOTE_GS3 56
#define NOTE_A3  57
#define NOTE_AS3 58
#define NOTE_B3  59
#define NOTE_C4  60
#define NOTE_CS4 61
#define NOTE_D4  62
#define NOTE_DS4 63
#define NOTE_E4  64
#define NOTE_F4  65
#define NOTE_FS4 66
#define NOTE_G4  67
#define NOTE_GS4 68
#define NOTE_A4  69
#define NOTE_AS4 70
#define NOTE_B4  71
#define NOTE_C5  72
#define NOTE_CS5 73
#define NOTE_D5  74
#define NOTE_DS5 75
#define NOTE_E5  76
#define NOTE_F5  77
#define NOTE_FS5 78
#define NOTE_G5  79
#define NOTE_GS5 80
#define NOTE_A5  81
#define NOTE_AS5 82
#define NOTE_B5  83
#define NOTE_C6  84
#define NOTE_CS6 85
#define NOTE_D6  86
#define NOTE_DS6 87
#define NOTE_E6  88
#define NOTE_F6  89
#define NOTE_FS6 90
#define NOTE_G6  91
#define NOTE_GS6 92
#define NOTE_A6  93
#define NOTE_AS6 94
#define NOTE_B6  95
#define NOTE_C7  96
#define NOTE_CS7 97
#define NOTE_D7  98
#define NOTE_DS7 99
#define NOTE_E7  100
#define NOTE_F7  101
#define NOTE_FS7 102
#define NOTE_G7  103
#define NOTE_GS7 104
#define NOTE_A7  105
#define NOTE_AS7 106
#define NOTE_B7  107
#define NOTE_C8  108
#define NOTE_CS8 109
#define NOTE_D8  110
#define NOTE_DS8 111

#endif // NOTEMIDI	// define notes as MIDI note values

// Note lengths, nominally 4/4 time at 4 beats per second
//  number of 8-TICKs in various note lengths, where 128 is a whole note.
#define no1te 128	// 128 8TICKS in a whole note ~1sec long
#define no2te (no1te/2)	//  64 8TICKS in a half note ~1/2sec long
#define no3te (no1te/3)	//  42 8TICKS in a third(?) note ~1/3sec long
#define no4te (no1te/4)	//  32 8TICKS in a quarter note ~1/4sec long
#define no6te (no1te/6)	//  21 8TICKS in a sixth(?) note ~1/6sec long
#define no8te (no1te/8)	//  16 8TICKS in a eighth note ~1/8sec long
#define no16te (no1te/16)//  8 8TICKS in a 1/16th note
#define no32te (no1te/32)//  4 8TICKS in a 1/32nd note
#define noXte (no1te/20)//   6 8TICKS in a twentieth note ~1/20sec long
#define noXXte (no1te/40)//  3 8TICKS in a fourtieth note ~1/40sec long

// covenient note duration settings, given n=length
#define DUR1(n)	(n/4)	// make the duration 1/4 of full note length
#define DUR2(n)	(n/2)	// make the duration 1/2 of full note length
#define DUR3(n)	(3*n/4)	// make the duration 3/4 of full note length
#define DUR(n)	(n)		// make the duration the full note length

#endif // PITCHES_h
